
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java 泛型的类型擦除与桥方法 / iVAN</title>

    <meta name="description" content="java 泛型的类型擦除与桥方法 java 泛型 学习java泛型的笔记,详细写明白在学习泛型的过程中的笔记心得等: 泛型类 泛型方法 类型擦除(Type Erasure) 桥方法 泛型类 代码参考:java核心技术 卷1 第十版 public class Pair&lt;T&gt; { private T first; private T second; //构造器 public Pair() { first = null; second = null;} public Pair(T first , T second ) {t ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java 泛型的类型擦除与桥方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>java 泛型</h1>
<p>学习java泛型的笔记，详细写明白在学习泛型的过程中的笔记心得等：</p>
<ul>
<li><strong>泛型类</strong></li>
<li><strong>泛型方法</strong></li>
<li><strong>类型擦除(Type Erasure)</strong></li>
<li><strong>桥方法</strong></li>
</ul>
<hr>
<h2>泛型类</h2>
<blockquote><p>代码参考：java核心技术 卷1  第十版</p></blockquote>
<pre><code>public class Pair&lt;T&gt;
{
  private T first;
  private T second; 

  //构造器
  public Pair()  { first = null; second = null;}
  public Pair(T first , T second ）  {this.first = first; this.second = second;} 

  //get方法
  public T getFirst()    {return first; }
  public T getSecond ()    {return second;} 

  //set方法
  public void setFirst(T newValue)  { first =newValue; }
  public void setSecond (T newValue)   { second = newValue; }
}</code></pre>
<h2>泛型方法</h2>
<pre><code>class A
public static &lt;T&gt; T get(T a)
{
    return a;
}</code></pre>
<p>泛型方法可以定义在普通类中，也可定义在泛型类中。</p>
<h2>类型擦除(Type Erasure)</h2>
<blockquote><p>以下内容参考自——<a href="http://www.govind.space/2016/12/16/java-generic-bridge-method/" rel="external nofollow noreferrer">[Java泛型与桥方法]</a></p></blockquote>
<p>JVM并不知道泛型的存在，因为泛型在编译阶段就已经被处理成普通的类和方法；  <br />
处理机制是通过类型擦除，擦除规则：</p>
<ul>
<li>若泛型类型没有指定具体类型，用Object作为原始类型；</li>
<li>若有限定类型&lt; T exnteds XClass &gt;，使用XClass作为原始类型；</li>
<li>若有多个限定&lt; T exnteds XClass1 &amp; XClass2 &gt;，使用第一个边界类型XClass1作为原始类型；</li>
</ul>
<p>例如：上述泛型类Pair编译后的结果为</p>
<pre><code> public class Pair
 {
    private Object first=null;
    private Object second=null;

    public Pair(Object fir,Object sec)
     {
         this.first=fir;
         this.second=sec;
     }
   public Object getFirst()
   {
     return this.first;
   }
   public void setFirst(Object fir)
   {
        this.first=fir;
   }
}</code></pre>
<p>类型擦擦会带来一些问题，比如当一个类实现了一个参数化的接口或是继承了一个参数化的类时。</p>
<pre><code>class SonPair extends Pair&lt;String&gt; //继承类一个泛型类
 {
     public void setFirst(String fir){....}//重写了父类的方法
 }</code></pre>
<p>Pair在编译的时候已经被<strong>类型擦除</strong>，Pair的setFirst方法变为了setFirst(Object fir)，这样SonPair的setFirst(Stirng fir)方法就无法覆盖父类中的setFirst(Object fir)方法，因为参数不同，不是同一个方法。 <br />
如下所示，SonPair中会出现两个方法：</p>
<pre><code>public void setFirst(String fir){....}
public void setFirst(Object fir){....}</code></pre>
<p>那么具体应该调用哪一个方法呢？ <br />
为了解决这个问题，jvm引进了桥方法的概念</p>
<h2>桥方法</h2>
<p>上一节中的两个方法被编译器变成了这样：</p>
<pre><code>public void setFirst(String fir){....} //这里什么都不变

//为该方法添加了一些东西，该方法就被称为“桥方法”
public void setFirst(Object fir)
{
     setFirst((String) fir);//桥内部调用的是子类中定义的setFirst(String fir)方法
}</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 14:30:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java 泛型的类型擦除与桥方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9xZxgb.html" rel="bookmark">Java泛型与类型擦除</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;编译器会进行泛型擦除&quot;是一个常识了(好吧,实际擦除的是参数和自变量的类型).这个过程由&quot;类型擦除&quot;实现.但是并非像许多开发者认为的那样,在 &lt;..&gt; 符号内的东西都被擦除了.看下面这段代码: public class ClassTest { public static void main(String[] args) throws Exception { ParameterizedType type = (ParameterizedType) Bar.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaN4QM.html" rel="bookmark">JAVA集合泛型，类型擦除，类型通配符上限之类的知识点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				感觉定义要比PYTHON严谨很多,一切源于静态语言的特点吧.. 于是语法上就复杂很多,值不值得呢? 参考测试URL: http://www.cnblogs.com/lwbqqyumidi/p/3837629.html   import java.util.*; public class TestCollection { public static void main(String args[]) { List&lt;String&gt; list = new ArrayList&lt;String&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2w9joM.html" rel="bookmark">Java8中对泛型目标类型推断方法的改进&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简单理解泛型 泛型是Java SE 1.5的新特性,泛型的本质是参数化类型,也就是说所操作的数据类型被指定为一个参数.通俗点将就是&quot;类型的变量&quot;.这种类型变量可以用在类.接口和方法的创建中. 理解Java泛型最简单的方法是把它看成一种便捷语法,能节省你某些Java类型转换(casting)上的操作: 复制代码 代码如下: List&lt;Apple&gt; box = new ArrayList&lt;Apple&gt;();box.add(new Apple());Apple a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxElDOp.html" rel="bookmark">浅谈java泛型的作用及其基本概念&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.泛型的基本概念 java与c#一样,都存在泛型的概念,及类型的参数化.java中的泛型是在jdk5.0后出现的,但是java中的泛型与C#中的泛型是有本质区别的,首先从集合类型上来说,java 中的ArrayList&lt;Integer&gt;和ArrayList&lt;String&gt;是同一个类型,在编译时会执行类型擦除,及java中的类型是伪泛型,伪泛型将会在后面介绍,其次,对于像集合中添加基本类型的数据时,例如int,会首先将int转化成Integer对象,即我们通常所说的装箱操作,在取出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL28akb.html" rel="bookmark">java泛型（二）、泛型的内部原理：类型擦除以及类型擦除带来的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考:java核心技术 一.Java泛型的实现方法:类型擦除 前面已经说了,Java的泛型是伪泛型.为什么说Java的泛型是伪泛型呢?因为,在编译期间,所有的泛型信息都会被擦除掉.正确理解泛型概念的首要前提是理解类型擦出(type erasure). Java中的泛型基本上都是在编译器这个层次来实现的.在生成的Java字节码中是不包含泛型中的类型信息的.使用泛型的时候加上的类型参数,会在编译器在编译的时候去掉.这个过程就称为类型擦除. 如在代码中定义的List&lt;object&gt;和List&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg38Z8M.html" rel="bookmark">java 泛型 类型擦除-Java 核心技术中泛型的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java 核心技术中泛型的使用 在看Java核心技术的过程中有个问题不明白,求各位大神指导. 书中写到: 不能构造一个泛型数组: public static T[] minmax(T[] a) { T[] mm = new T(2); ... } 书中的解释是类型擦除会让这个方法永远构造Object[2]数组. 什么叫永远构造Object[2]数组?是死循环?还是说构造的是Object[2]数组而不是T[2]数组 解决方案 说构造的是Object[2]数组而不是T[2]数组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnK4OOz.html" rel="bookmark">java泛型问题，方法参数问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java泛型问题,方法参数问题 Java泛型. 代码如下: class Info{ private T var; public void setVar(T var){ this.var=var; } public T getVar(){ return this.var; } public String toString(){ return this.var.toString(); } } 下面是第一个测试程序: public class GenericsDemo6{ public st			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kd1Xz.html" rel="bookmark">通过Java泛型实现数组排序和搜索的通用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面讨论的是数组的排序和搜索功能,而一个通用方法则是实现Comparable接口的方法,这个方法需要通过java泛型来实现.下面便逐步讲解为何,以及如何通过Java泛型实现此类的通用方法. 如何在java类中一些通用方法,特别是一些静态的工具方法? 比如,数组Arrays的sort.search等? 1. 整数数组的顺序收缩 public static int seqSearch(int[] arr, int first, int last, int target) { for (int i =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjKy5p.html" rel="bookmark">java 泛型擦除发生在哪个阶段，如何用反编译工具查看泛型擦除后的代码？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java 泛型擦除发生在哪个阶段,如何用反编译工具查看泛型擦除后的代码? 有如下的泛型类: public class Pair { public Pair() { first = null; second = null; } public Pair(T first, T second) { this.first = first; this.second = second; } public T getFirst() { return first; } public T getSecon			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQa9Zb.html" rel="bookmark" class="title">电脑卡怎么办？加速人生全面提速你的电脑</a>
					<div>
						电脑卡,是个让人无奈的话题,不给力的电脑既影响办事效率又影响使用者的心情!你是否正在为卡得&quot;一动不动&quot;的电脑系统而纠结不已?小编分享了一些关于各种情况下电脑卡的解决办法,帮助你提速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6k0Lp.html" rel="bookmark" class="title">css控制表格边框&colon;css 控制边框</a>
					<div>
						以下内容为程序代码  &lt;style&gt; h3 {color: #cc6600} table.pad {padding: 5mm; background-color: #ccefcc} p.w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA4RKb.html" rel="bookmark" class="title">网站文章发布时间对百度SEO非常重要</a>
					<div>
						百度抓取网页判断该页面质量时,会受到该页面发布时间的影响. 而由于网站有时会面临着更换域名,而百度不会由于某个网站更换域名后,在重新收录时,就认为所有页面都是最新更新的. 所以为了避免这种不公平的判断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M622GgM.html" rel="bookmark" class="title">为LAMP添加XCache加速</a>
					<div>
						安装xcache,为php加速 前一篇博文,笔者写了关于LAMP的构建http://407711169.blog.51cto.com/6616996/1185226.最后提到了XCache加速的功能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jZdBb.html" rel="bookmark" class="title">ERROR 1005 &lpar;HY000&rpar;&colon; Can&amp;&num;039&semi;t create table &amp;&num;039&semi;zcxt&period;tb&lowbar;asset&amp;&num;039&semi; &lpar;errno&colon; 150&rpar;解决</a>
					<div>
						环境 MySQL 5.1 + 命令行工具 问题 建表出现如下错误: ERROR 1005 (HY000): Can't create table 'zcxt.tb_asset' (errno: 150 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK5o1p.html" rel="bookmark" class="title">Delphi 2007 For Win32&sol;Delphi For PHP，速度真的很快&excl;</a>
					<div>
						在使用Delphi For PHP的时候也让人回想起以前Delphi 7的时光,这当然是因为Delphi For PHP是使用Delphi 7开发的,在很久没有使用纯原生整合发展环境之后,特别令人感觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjo9Op.html" rel="bookmark" class="title">获取网络使用率的方案&lpar;a better solution to get network utilization&rpar;</a>
					<div>
						这两天一直在研究如何去获取网络利用率(usage)和网卡线路速度(link speed)的问题,找到了一个比较好的方案,写出来跟大家分享一下. 记得我在以前的一篇博文中提到过这样一个问题,有时我们添加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKyZ8p.html" rel="bookmark" class="title">如何应用份认证模块和&period;htaccess文件保证Web安全</a>
					<div>
						  要限制对一个网页的访问,可使用Apache和第三方提供的身份认证模块和方法来验证用户的凭据(如用户名和密码).一些模块支持通过各种数据库(包括NIS和LDAP)进行身份认证. 用户认证指令通常放置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElBwqz.html" rel="bookmark" class="title">Lightroom如何裁剪图片？</a>
					<div>
						  Lightroom软件是当下数字拍摄工作流程中不可或缺的一部分,适合专业摄影师输入.选择.修改和展示大量的数字图像的高效软件.今天小编给大家带来的是Lightroom如何裁剪图片,下面请跟随小编一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPK2jM.html" rel="bookmark" class="title">小技巧教你更加有效管理网络</a>
					<div>
						  1.交换机的设置 将交换机端口配置为100M全双工,服务器安装一块Intel 100M EISA网卡,在大流量负荷数据传输时,速度变得极慢,最后发现这款网卡不支持全双工.将交换机端口改为半双工以后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywWKdz.html" rel="bookmark" class="title">浏览器IE10安装支付宝插件教程</a>
					<div>
						Win8在浏览器IE10安装支付宝插件的方法如下: Win8自带浏览器IE10第一次登入淘宝购物发现登录密码的地方提示安装插件,点击后发现提示&quot;目前无法访问Windows SmartScre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8DPab.html" rel="bookmark" class="title">Win7玩游戏提示&OpenCurlyDoubleQuote;找不到Comres&period;dll文件&amp;quot&semi;怎么办</a>
					<div>
						  Win7玩游戏提示&quot;找不到Comres.dll文件&quot;怎么办         解决方法如下: 1.打开浏览器,打开百度,输入dll帮,下载Comres.dll文件; 2.下载到本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX6Lnp.html" rel="bookmark" class="title">2种PDF文档加密方法</a>
					<div>
						在互联网.云计算.云存储越来越多的应用环境下,信息安全越发重要,尤其是日常我们使用最多的文档.对文档的安全管理,是每个企业.每个人都必须面对的问题.目前,对于文档数据库的系统级安全保护方案,有诸如&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oLXab.html" rel="bookmark" class="title">XMind打印功能如何使用？</a>
					<div>
						  1.选中思维导图; 2.通过下列方式之一打开预览对话框: o 在菜单栏选择&quot;文件-&gt; 打印&quot;. o 使用键盘快捷键&quot;Ctrl+P&quot;. 3.调整打印的内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGV11p.html" rel="bookmark" class="title">又一个PHP实现的冒泡排序算法分享&lowbar;php实例</a>
					<div>
						经典的冒泡排序法一直是许多程序沿用的其中一种排序法,话说冒泡排序法在效率上比PHP系统函数sort更高效.本章不讨论性能,所以就不拿它来跟系统性能做对比了. 冒泡排序大概的意思是依次比较相邻的两个数, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwNJlM.html" rel="bookmark" class="title">Navicat for MySQL导入SQL文件</a>
					<div>
						今天为了,测试数据库.特意在Navicat for MySQL上进行试验,数据是从我的博客中导出的SQL文件. 如下图: 现在安装好了Navicat for MySQL,新建一个连接: 建好连接后,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl46kb.html" rel="bookmark" class="title">pdf-请问aspose&period;cells for java有破解版的可以用吗？</a>
					<div>
						问题描述 请问aspose.cells for java有破解版的可以用吗? 请问aspose.cells for java有破解版的可以用吗?其实用的功能很少,就是用excel生成html和pdf, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZeNoM.html" rel="bookmark" class="title">struct-关于tomact 找不到对应的action问题~~</a>
					<div>
						问题描述 关于tomact 找不到对应的action问题~~ 现在有一个工程.. 采用的是Convention插件 然后在登录用的java是这个 @SuppressWarnings(&quot;&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M942rRb.html" rel="bookmark" class="title">Silverlight陷阱：注意程序集引用问题</a>
					<div>
						假定我要用Silverlight类库实现一些通用控件,然后在应用程序中引用这个控件库.当然,控件通常也要访问其他一些第三方或开源的开发包,例如Silverlight Toolkit. 于是这个项目的依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKverz.html" rel="bookmark" class="title">ARCMap 10 如何使用图片制作mxd文件？</a>
					<div>
						问题描述 ARCMap 10 如何使用图片制作mxd文件? ARCMap 10 如何使用图片制作mxd文件,还有哪里有免费的开源地图矢量文件(mxd)文件:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydx64b.html" rel="bookmark" class="title">近媒体：广告效果不需要第三方监测！</a>
					<div>
						在&quot;费马大定理与华纳梅克浪费率&quot;一文中,含蓄地提到利用第五媒体手机所展开的无线营销解决方案可以了解广告费的哪一半被浪费了,实际上还有另一层意思没有直接明说,那就是利用手机为依托的无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjWvyM.html" rel="bookmark" class="title">iso-ISO9126模型中，6个特性，27个自特性中，哪些是内部特性，哪些是外部特性</a>
					<div>
						问题描述 ISO9126模型中,6个特性,27个自特性中,哪些是内部特性,哪些是外部特性 ISO9126模型中,6个特性,27个自特性中,哪些是内部特性,哪些是外部特性 解决方案 一.功能性: 1.适 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBmBQM.html" rel="bookmark" class="title">【机房重构】一步一步往上爬&mdash;&mdash;验收给了我什么</a>
					<div>
						整个机房重构过程中,一共经历了两次验收.一次是关于系统编程:一次是关于画图与文档,每一次,师父都是耐心.细心地指导.要问验收给了我什么,看下面的博客内容便清楚了. 个人机房重构可分为两个阶段,前期主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB5G7z.html" rel="bookmark" class="title">《R的极客理想&mdash;工具篇》&mdash;&mdash; 2&period;3　时间序列可视化plot&period;xts</a>
					<div>
						2.3 时间序列可视化plot.xts 问题 如何把时间序列可视化? 引言 r-bloggers的一篇博文:plot.xts is wonderful!,让我有动力继续发现xts的强大.xts扩展了z ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0njBAz.html" rel="bookmark" class="title">惠普新任CEO需对董事会进行大清洗</a>
					<div>
						北京时间8月8日上午消息,据国外媒体报道,分析人士认为,惠普的前两任CEO卡莉·菲奥丽娜(Carly Fiorina)和马克·赫德(Mark Hurd)均来自外部,因此新任CEO应该从内部选择.对于新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWvq5z.html" rel="bookmark" class="title">asp&period;net常用函数收藏第1&sol;2页&lowbar;应用技巧</a>
					<div>
						/// &lt;summary&gt; /// 得到站点用户IP /// &lt;/summary&gt; /// &lt;returns&gt;&lt;/returns&gt; public sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7m5XM.html" rel="bookmark" class="title">android界面布局之实现文本块布局效果示例&lowbar;Android</a>
					<div>
						复制代码 代码如下: package cn.aibow.android.layoutdemo1; import android.os.Bundle;import android.app.Activit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1KD8b.html" rel="bookmark" class="title">PHP自带方法验证邮箱是否存在&lowbar;php技巧</a>
					<div>
						PHP校验邮箱地址的方法很多, 比较常用的就是自己写正则了, 不过正则多麻烦, 我PHP自带了方法做校验. filter_var filter_var是PHP内置的一个变量过滤的方法, 提供了很多实用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkdvZz.html" rel="bookmark" class="title">pace&period;js页面加载进度条插件&lowbar;javascript技巧</a>
					<div>
						本文简单介绍插件pace.js. 在页面中引入Pace.js,页面就会自动监测你的请求(包括Ajax请求),在事件循环滞后,会在页面记录加载的状态以及进度情况.此插件的兼容性很好,可以兼容IE8以上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJexPDp.html" rel="bookmark" class="title">高通携手贵州华芯通：成功源于创新 大数据前景美妙</a>
					<div>
						由国家发改委.贵州省政府主办的中国大数据产业峰会暨中国电子商务创新发展峰会25日在贵阳拉开帷幕.作为首个国家级大数据峰会,此次会议吸引了众多中外知名企业参与,各路嘉宾在此共话大数据产业的发展之路.会议 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
